Reading
List highlights
Returns all highlights newest first, with parent article context.
GET
/
v1
/
reading
/
highlights
List highlights
curl --request GET \
--url https://api.rewind.rest/v1/reading/highlights \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/highlights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/highlights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 1,
"text": "The question is not whether AI will transform society, but how quickly institutions can adapt.",
"note": "Key thesis",
"position": 1,
"chapter": null,
"page": null,
"created_at": "2026-03-19T08:10:00.000Z",
"article": {
"id": 42,
"title": "The Age of AI",
"author": "Derek Thompson",
"domain": "theatlantic.com",
"url": "https://www.theatlantic.com/technology/archive/2025/the-age-of-ai",
"instapaper_url": "https://www.instapaper.com/read/1234567",
"instapaper_app_url": "instapaper://read/1234567"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 312,
"total_pages": 16
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Authorizations
Query Parameters
⌘I
List highlights
curl --request GET \
--url https://api.rewind.rest/v1/reading/highlights \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/highlights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/highlights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 1,
"text": "The question is not whether AI will transform society, but how quickly institutions can adapt.",
"note": "Key thesis",
"position": 1,
"chapter": null,
"page": null,
"created_at": "2026-03-19T08:10:00.000Z",
"article": {
"id": 42,
"title": "The Age of AI",
"author": "Derek Thompson",
"domain": "theatlantic.com",
"url": "https://www.theatlantic.com/technology/archive/2025/the-age-of-ai",
"instapaper_url": "https://www.instapaper.com/read/1234567",
"instapaper_app_url": "instapaper://read/1234567"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 312,
"total_pages": 16
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}